
.. index::
   pair: Rust ; Cargo
   ! Cargo

.. _cargo:

================================================
Cargo: the Rust build tool and package manager
================================================

.. seealso::

   - https://doc.rust-lang.org/cargo/index.html

.. contents::
   :depth: 3

Description
=============


When you install Rustup you’ll also get the latest stable version of the Rust
build tool and package manager, also known as Cargo.

Cargo does lots of things:

- build your project with cargo build
- run your project with cargo run
- test your project with cargo test
- build documentation for your project with cargo doc
- publish a library to crates.io with cargo publish

To test that you have Rust and Cargo installed, you can run this in your
terminal of choice::

    cargo --version
